org.h2.engine

## Class Setting

- java.lang.Object
- - org.h2.engine.DbObject
  - - org.h2.engine.Setting

- All Implemented Interfaces:
    org.h2.util.HasSQL

      public final class Setting
      extends DbObject

  A persistent database setting.

- - ### Field Summary

    - ### Fields inherited from class org.h2.engine.DbObject

      `AGGREGATE, comment, COMMENT, CONSTANT, CONSTRAINT, database, DOMAIN, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, trace, TRIGGER, USER`

    - ### Fields inherited from interface org.h2.util.HasSQL

      `ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Setting(Database database, int id, java.lang.String settingName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkRename()` Check if renaming is allowed.
    `java.lang.String` | `getCreateSQL()` Construct the CREATE ...
    `int` | `getIntValue()`
    `java.lang.String` | `getSQL(int sqlFlags)` Get the SQL statement of this expression.
    `java.lang.StringBuilder` | `getSQL(java.lang.StringBuilder builder, int sqlFlags)` Appends the SQL statement of this object to the specified builder.
    `java.lang.String` | `getStringValue()`
    `int` | `getType()` Get the object type.
    `void` | `removeChildrenAndResources(SessionLocal session)` Delete all dependent children objects and resources of this object.
    `void` | `setIntValue(int value)`
    `void` | `setStringValue(java.lang.String value)`

    - ### Methods inherited from class org.h2.engine.DbObject

      `getChildren, getComment, getCreateSQLForCopy, getCreateSQLForMeta, getDatabase, getDropSQL, getId, getModificationId, getName, invalidate, isTemporary, isValid, rename, setComment, setModified, setObjectName, setTemporary, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.h2.util.HasSQL

      `getTraceSQL`

- - ### Constructor Detail

    - #### Setting

          public Setting(Database database,
                         int id,
                         java.lang.String settingName)

  - ### Method Detail

    - #### getSQL

          public java.lang.String getSQL(int sqlFlags)

      Description copied from interface: `org.h2.util.HasSQL`
      Get the SQL statement of this expression. This may not always be the original SQL statement, specially after optimization.
      Specified by:
        `getSQL` in interface `org.h2.util.HasSQL`
      Overrides:
        `getSQL` in class `DbObject`
      Parameters:
        `sqlFlags` - formatting flags
      Returns:
        the SQL statement

    - #### getSQL

          public java.lang.StringBuilder getSQL(java.lang.StringBuilder builder,
                                                int sqlFlags)

      Description copied from interface: `org.h2.util.HasSQL`
      Appends the SQL statement of this object to the specified builder.
      Specified by:
        `getSQL` in interface `org.h2.util.HasSQL`
      Overrides:
        `getSQL` in class `DbObject`
      Parameters:
        `builder` - string builder
        `sqlFlags` - formatting flags
      Returns:
        the specified string builder

    - #### setIntValue

          public void setIntValue(int value)

    - #### getIntValue

          public int getIntValue()

    - #### setStringValue

          public void setStringValue(java.lang.String value)

    - #### getStringValue

          public java.lang.String getStringValue()

    - #### getCreateSQL

          public java.lang.String getCreateSQL()

      Description copied from class: `DbObject`
      Construct the CREATE ... SQL statement for this object.
      Specified by:
        `getCreateSQL` in class `DbObject`
      Returns:
        the SQL statement

    - #### getType

          public int getType()

      Description copied from class: `DbObject`
      Get the object type.
      Specified by:
        `getType` in class `DbObject`
      Returns:
        the object type

    - #### removeChildrenAndResources

          public void removeChildrenAndResources(SessionLocal session)

      Description copied from class: `DbObject`
      Delete all dependent children objects and resources of this object.
      Specified by:
        `removeChildrenAndResources` in class `DbObject`
      Parameters:
        `session` - the session

    - #### checkRename

          public void checkRename()

      Description copied from class: `DbObject`
      Check if renaming is allowed. Does nothing when allowed.
      Overrides:
        `checkRename` in class `DbObject`